Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 663028 - app-misc/recoll-1.23.6 : ssearch_w.cpp:76:22: error: invalid use of incomplete type class QAbstractItemView
Summary: app-misc/recoll-1.23.6 : ssearch_w.cpp:76:22: error: invalid use of incomplet...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: P Purkayastha
URL:
Whiteboard: fixed in 1.24.1
Keywords:
Depends on: 664550
Blocks: qt-5.11
  Show dependency tree
 
Reported: 2018-08-07 17:11 UTC by Toralf Förster
Modified: 2018-08-25 11:29 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,17.14 KB, text/plain)
2018-08-07 17:11 UTC, Toralf Förster
Details
app-misc:recoll-1.23.6:20180807-030053.log (app-misc:recoll-1.23.6:20180807-030053.log,126.36 KB, text/plain)
2018-08-07 17:11 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,328.57 KB, text/plain)
2018-08-07 17:11 UTC, Toralf Förster
Details
environment (environment,147.35 KB, text/plain)
2018-08-07 17:11 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,14.03 KB, application/x-bzip)
2018-08-07 17:11 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,10.65 KB, application/x-bzip)
2018-08-07 17:11 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,40.14 KB, application/x-bzip)
2018-08-07 17:11 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2018-08-07 17:11:37 UTC
ssearch_w.cpp: In member function ‘virtual void SSearch::init()’:
ssearch_w.cpp:76:22: error: invalid use of incomplete type ‘class QAbstractItemView’
     queryText->view()->installEventFilter(this);
                      ^~
In file included from /usr/include/qt5/QtWidgets/qcombobox.h:45:0,

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0-desktop-plasma-systemd_20180727-195151

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-7.3.0
 [2] x86_64-pc-linux-gnu-7.3.1 *

Available Python interpreters, in order of preference:
  [1]   python3.6
  [2]   python3.5
  [3]   python2.7 (fallback)
  [4]   pypy3 (fallback)
  [5]   pypy (fallback)
Available Ruby profiles:
  [1]   ruby23 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.8.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

emerge -qpv app-misc/recoll
[ebuild  N    ] app-misc/recoll-1.23.6  USE="inotify qt5 spell -camelcase -doc -session" PYTHON_TARGETS="python2_7" 

!!! The following installed packages are masked:
- sys-apps/microcode-ctl-1.36::gentoo (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Thomas Deutschmann <whissi@gentoo.org> (05 Aug 2018)
# Deprecated. Using recent microcodes with this package either won't work
# or crash your system. Please change your setup and make use of kernel's
# early microcode loading feature, see https://wiki.gentoo.org/wiki/Microcode
# for more details. Removal in 30 days.

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.
Comment 1 Toralf Förster gentoo-dev 2018-08-07 17:11:40 UTC
Created attachment 542684 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2018-08-07 17:11:43 UTC
Created attachment 542686 [details]
app-misc:recoll-1.23.6:20180807-030053.log
Comment 3 Toralf Förster gentoo-dev 2018-08-07 17:11:46 UTC
Created attachment 542688 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2018-08-07 17:11:50 UTC
Created attachment 542690 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2018-08-07 17:11:53 UTC
Created attachment 542692 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2018-08-07 17:11:56 UTC
Created attachment 542694 [details]
logs.tbz2
Comment 7 Toralf Förster gentoo-dev 2018-08-07 17:11:59 UTC
Created attachment 542696 [details]
temp.tbz2
Comment 8 P Purkayastha 2018-08-08 12:40:28 UTC
There is a patch in bug 660912 for recoll-1.24.1 that should fix this issue, according to the comment https://bugs.gentoo.org/660912#c2
Comment 9 Larry the Git Cow gentoo-dev 2018-08-17 22:04:08 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=866acf08dc3434189a6e81578dfb00c42bb50e36

commit 866acf08dc3434189a6e81578dfb00c42bb50e36
Author:     Punarbasu Purkayastha <ppurka@gmail.com>
AuthorDate: 2018-08-17 20:59:07 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-08-17 22:02:02 +0000

    app-misc/recoll: 1.24.1 version bump, fix build with Qt 5.11
    
    Fixes build with Qt 5.11.
    
    Closes: https://bugs.gentoo.org/663028
    Closes: https://bugs.gentoo.org/660912
    Package-Manager: Portage-2.3.46, Repoman-2.3.10

 app-misc/recoll/Manifest                          |   1 +
 app-misc/recoll/files/recoll-1.24.1-qt-5.11.patch |  12 +++
 app-misc/recoll/recoll-1.24.1.ebuild              | 125 ++++++++++++++++++++++
 3 files changed, 138 insertions(+)